Attribute VB_Name = "Module1"
Option Explicit

Public Declare Function SetWindowsHookEx Lib "user32" _
       Alias "SetWindowsHookExA" (ByVal idHook As Long, _
       ByVal lpfn As Long, ByVal hmod As Long, ByVal _
       dwThreadId As Long) As Long

Private Declare Function GetClassName Lib "user32" _
        Alias "GetClassNameA" (ByVal hWnd As Long, _
        ByVal lpClassName As String, ByVal nMaxCount _
        As Long) As Long

Public Declare Function UnhookWindowsHookEx Lib "user32" _
       (ByVal hHook As Long) As Long

Private Declare Function SetWindowPos Lib "user32" (ByVal _
        hWnd As Long, ByVal hWndInsertAfter As Long, _
        ByVal X As Long, ByVal Y As Long, ByVal cx As Long, _
        ByVal cy As Long, ByVal wFlags As Long) As Long

Private Type CWPSTRUCT
    lParam As Long
    wParam As Long
    message As Long
    hWnd As Long
End Type

Private Const WH_CALLWNDPROC As Long = 4
Private dlgX As Long, dlgY As Long, pPos As Long

Public Sub InitDlgPos(ByVal ID As Long, X As Long, Y As Long)
    pPos = SetWindowsHookEx(WH_CALLWNDPROC, AddressOf DlgPosProc, 0, ID)
    dlgX = X
    dlgY = Y
End Sub

Public Sub ResetDlgPos()
    Dim Result As Long
    Result = UnhookWindowsHookEx(pPos)
End Sub

Public Sub DlgPosProc(ByVal n&, ByVal wParam&, Inf As CWPSTRUCT)
    Dim Result As Long, Class As String * 6
    
    If Inf.message = 1 Then
        GetClassName Inf.hWnd, Class, 7
        If Left(Class, 6) = "#32770" Then
            SetWindowPos Inf.hWnd, 0, dlgX, dlgY, 0, 0, 1
        End If
    End If
End Sub
